<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://www.upwork.com/fl/rayhan1
 * @since      1.0.0
 *
 * @package    Divi_Contact_Form_Mailchimp_Rc_Extension
 * @subpackage Divi_Contact_Form_Mailchimp_Rc_Extension/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<h3 style="padding-top: 10px "><?php _e('Divi Contact Form Mailchimp Extension', 'dcfme'); ?> <span class="version">v<?php echo DIVI_CONTACT_FORM_MAILCHIMP_EXTENSION_VERSION; ?></span>

	<?php if (is_mfdcf_previous_pro_version_not_expired()||mfdcf_fs()->can_use_premium_code()): ?>
	<span class="badge badge-success" style="position: relative;bottom: 4px;font-size: 13px;font-weight: inherit;"><?php _e('Premium version', 'dcfme'); ?></span>
	<?php else: ?>
		<button type="button" class="btn btn-success btn-sm" style="position: relative;bottom: 4px;"><?php _e('Upgrade', 'dcfme'); ?></button>
   <?php endif; ?>

	<a class="float-right pr-2" href="https://myrecorp.com/documentation/divi-contact-form-mailchimp-extension" style="position: relative;bottom: 4px;"><button type="button" class="btn btn-primary btn-sm ml-3"><?php _e('Documentation', 'dcfme'); ?></button></a>

</h3>



<div class="container mailchimp-tabs">
  <ul class="nav nav-tabs" role="tablist">
    <li class="nav-item">
      <a class="nav-link active" data-toggle="tab" href="#mailchimp"><?php _e('Mailchimp', 'dcfme'); ?></a>
    </li>
    <li class="nav-item">
      <a class="nav-link" data-toggle="tab" href="#forms"><?php _e('Forms', 'dcfme'); ?></a>
    </li>


	<?php if (!is_mfdcf_previous_pro_version_not_expired()&&!mfdcf_fs()->can_use_premium_code()): ?>
    <li class="nav-item">
      <a class="nav-link licensing" data-toggle="tab" href="#licensing" style="color: red;"><?php _e('Upgrade', 'dcfme'); ?></a>
    </li>
   <?php endif; ?>

  </ul>

  <!-- Tab panes -->
  <div class="tab-content">
    <div id="mailchimp" class="container tab-pane active"><br>
      <form action="" method="post">
			<table class="form-table">

				<tbody>
					<tr valign="top">
						<th scope="row">
							<?php _e('Status', 'dcfme'); ?>						
						</th>
						<td>

						<?php
							$api = get_option('dcfme_mailchimp_rc_api');

							if ($api['status'] == 'valid') {
								$api_status = 'CONNECTED';
								$class = 'active';
							} else {
								$api_status = 'NOT CONNECTED';
								$class = '';
							}
						 ?>									
							<span class="status <?php echo $class; ?>"><?php echo $api_status; ?></span>
						</td>
					</tr>


				<tr valign="top">
					<th scope="row"><label for="mailchimp_rc_api_key">API Key</label></th>
					<td>

						<?php

							if ($api['status'] == 'valid') {
								$api_key = $api['api_key'];

								$sub = substr( $api_key, 0, 18);

								$api_key = str_replace( $sub, "******************", $api_key);
							} else {
								$api_key = "";
							}

						 ?>
						<input type="text" class="widefat" placeholder="Your Mailchimp API key" id="mailchimp_rc_api_key" name="mc4wp[api_key]" value="<?php echo $api_key; ?>">
						<p class="invalid" style="color: red; display: none;"><?php _e('Invalid Api Key', 'dcfme'); ?></p>
						<p class="help">
							<?php _e('The API key for connecting with your Mailchimp account.', 'dcfme'); ?>		<a target="_blank" href="https://admin.mailchimp.com/account/api"><?php _e('Get your API key here.', 'dcfme'); ?></a>
						</p>

					</td>
				</tr>

			</tbody>
		</table>

	<div class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"> &nbsp; <div class="loadersmall hidden"></div></div>
</form>
<?php
$api = get_option('dcfme_mailchimp_rc_api');
$lists = get_option('dcfme_mailchimp_rc_lists');

if ($api['status'] == 'valid'): ?>
	<hr>
<h3><?php _e('Your Mailchimp Account', 'dcfme'); ?></h3>
<p><?php _e('The table below shows your Mailchimp lists and their details. If you just applied changes to your Mailchimp lists, please use the following button to renew the cached lists configuration.', 'dcfme'); ?></p>


<div id="dcfme-list-fetcher"><form method="POST"><input type="submit" value="Renew Mailchimp lists" class="button"> &nbsp; <div class="loadersmall hidden"></div></form></div>
<!-- <div id="dcfme-list-create" class="float-right"><form method="POST"><input type="submit" value="Create a Mailchimp lists" class="button"> &nbsp; <div class="loadersmall hidden"></div></form></div>

<br>
<br>
<div class="list_create" style="display: none">
	<input class="list_name float-right" type="text" placeholder="List Name"></input>
	<div class="submit float-right" style="clear: both;padding: 0;padding-bottom: 14px;"><div class="loadersmall hidden"></div><input type="submit" name="submit" id="submit" class="button button-primary" value="Craete"> &nbsp; </div>
</div> -->

<div class="dcfme-lists-overview">
	<p><?php echo sprintf('A total of %s lists were found in your Mailchimp account.',
		count($lists)
	); ?></p>

<table class="widefat striped" id="dcfme-mailchimp-lists-overview">
    <thead>
        <tr>
            <th><?php _e('List Name', 'dcfme'); ?></th>
            <th><?php _e('ID', 'dcfme'); ?></th>
            <th><?php _e('Subscribers', 'dcfme'); ?></th>
        </tr>
    </thead>
    <tbody>
        <tr>
        	<?php 

        		foreach ($lists as $key => $value) {
        			?>
        			<td><a href="#" class="dcfme-mailchimp-list" data-list-id="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></a><span class="row-actions alignright"></span></td>
		            <td><code><?php echo $value['id']; ?></code></td>
		            <td><?php echo $value['member_count']; ?></td>
        			<?php
        		}
        	 ?>
            
        </tr>
        <tr class="list-details list-<?php echo $value['id']; ?>-details" style="display: none;">
            <td colspan="3" style="padding: 0 20px 40px;">
                <p class="alignright" style="margin: 20px 0;"><a href="https://admin.mailchimp.com/lists/members/?id=<?php echo $value['id']; ?>" target="_blank"><span class="dashicons dashicons-edit"></span> <?php _e('Edit this list in Mailchimp', 'dcfme'); ?></a></p>

                <div>
                    <div><?php _e('Loading... Please wait.', 'dcfme'); ?></div>
                </div>
            </td>
        </tr>
    </tbody>
</table>

</div>

<?php endif ?>

    </div>


<?php if (is_mfdcf_previous_pro_version_not_expired()||mfdcf_fs()->is__premium_only()): ?>
	<?php if (is_mfdcf_previous_pro_version_not_expired()||mfdcf_fs()->can_use_premium_code()): ?>
		<div id="forms" class="container tab-pane fade"><br>

<table class="table mc-table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col"><?php _e('Form Title', 'dcfme'); ?></th>
      <th scope="col"><?php _e('Mailchimp Lists', 'dcfme'); ?></th>
      <th scope="col"><?php _e('Status', 'dcfme'); ?></th>
    </tr>
  </thead>
  <tbody>

  	<?php


		$query = new WP_Query( array( 'post_status' => 'publish', 'post_type' => array('post', 'page'), 'orderby'  => array( 'meta_value_num' => 'DESC', 'title' => 'ASC' ) ) );
		$h = 1;


			$posts = $query->posts;
			$x = 1;
		if(!empty($query)){
			foreach ($posts as $key => $post) {

				if ( strpos( $post->post_content, 'et_pb_contact') !== false ) {
					//print_r($post);
					?>
					    <tr post_id="<?php echo $post->ID; ?>">
					      <th post_id="<?php echo $post->ID; ?>" scope="row"><?php echo $x; ?></th>
					      <td post_id="<?php echo $post->ID; ?>"><a href="<?php echo get_post_permalink($post->ID); ?>" target="_blank"><?php echo $post->post_title; ?></a></td>
					      <td post_id="<?php echo $post->ID; ?>" style="width: 50%">
					      	<div class="mailchimp_rc_inputs w-100">


					      		 <select size="5" name="lstStates" multiple="multiple" id="lstStates">
							        <?php
						      			foreach ($lists as $key => $value) {

						      				$is_select = get_dcfme_recorp_mc_by_id($post->ID, 'lists', $value['id']);

					        			?>

					        			<option value="<?php echo $value['name']; ?>" data-list_id="<?php echo $value['id']; ?>" <?php echo ($is_select == "true") ? "selected" : "" ?>><?php echo $value['name']; ?></option>
					        			<?php
					        		}
						      		 ?>
							    </select>   
						      	
					      	</div>
					      </td>
					      <td post_id="<?php echo $post->ID; ?>">

					      	<div class="switch">
					          <label>
					            Off 
					            <input type="checkbox" <?php echo (get_dcfme_recorp_mc_by_id($post->ID, 'status') == "enable")? 'checked': ''; ?>>
					            <span class="lever"></span> On
					          </label>
					        </div>

					    </td>
					    </tr>

					<?php
					$x++;
					$h *= 0;
				}
				
			} //end foreach
		}
		
	?>


  </tbody>
</table>
<?php
			if ($h === 1) {
				echo '<h3 style="text-align: center; margin-bottom: 40px;">Form not found.</h3>';
			}
		?>
<div class="user_permission_settings" style="margin-bottom: 20px;">
	<span class="t float-left" style="margin-right: 20px;margin-top: -1px; font-weight: bold;"><?php _e('Subscribe to our mailing list (user permission)', 'dcfme'); ?> </span> <div class="switch">
					          <label>
					            <?php _e('Disable', 'dcfme'); ?> 
					            <input type="checkbox" <?php echo $this->get_user_permission_status() == "enable" ? "checked" : ""; ?>>
					            <span class="lever"></span> <?php _e('Enable', 'dcfme'); ?>
					          </label>
					        </div>

					        <p class="help">
					        	<?php _e('Enable this to add a checkbox in the form "Subscribe to our email list".

					        	If this option will disable then the user\'s email will automatically store to mailchimp list without the he know.', 'dcfme'); ?>
					        </p>
					    </div>

<div class="user_permission_text" style="margin-bottom: 20px;">
	<span class="t float-left" style="margin-right: 20px;margin-top: 4px; font-weight: bold;"><?php _e('Subscribe To Our Mailing List Text', 'dcfme'); ?> 
	</span> 

	<div class="mailing_text"><input type="text" name="mailing_text" value="<?php echo get_option('dcfme_subscribe_text', ''); ?>" placeholder="Enter checkbox text"></div>
</div>

<button type="button" class="btn btn-primary btn-sm mc-data-save"><?php _e('Save Changes', 'dcfme'); ?></button>

<div class="modal" id="divi_mc_licensing"  data-easein="flipXIn" tabindex="3" role="dialog" aria-labelledby="backupAndRestoreTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle"><?php esc_html_e('Divi Contact Form Mailchimp Extension Licensing', 'dcfme'); ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php esc_html_e('Close', 'dcfme'); ?></button>
        <button type="button" class="btn btn-primary dcme_license_activate"><?php esc_html_e('Save Changes', 'dcfme'); ?></button>
      </div>
    </div>
  </div>
</div>

    </div>

    <?php else: ?>

    			<div id="forms" class="container tab-pane fade"><br>

    				<div class="upgrade_your_plan">
    					<h3>Please upgrade your plan</h3>
    				</div>

    				<div class="other_cell">

<table class="table mc-table">
  <thead>
    <tr>
      <th scope="col">#</th>
      <th scope="col"><?php _e('Form Title', 'dcfme'); ?></th>
      <th scope="col"><?php _e('Mailchimp Lists', 'dcfme'); ?></th>
      <th scope="col"><?php _e('Status', 'dcfme'); ?></th>
    </tr>
  </thead>
  <tbody>

  	<?php


		$query = new WP_Query( array( 'post_status' => 'publish', 'post_type' => array('post', 'page'), 'orderby'  => array( 'meta_value_num' => 'DESC', 'title' => 'ASC' ) ) );
		$h = 1;


			$posts = $query->posts;
			$x = 1;
		if(!empty($query)){
			foreach ($posts as $key => $post) {

				if ( strpos( $post->post_content, 'et_pb_contact') !== false ) {
					//print_r($post);
					?>
					    <tr post_id="<?php echo $post->ID; ?>">
					      <th post_id="<?php echo $post->ID; ?>" scope="row"><?php echo $x; ?></th>
					      <td post_id="<?php echo $post->ID; ?>"><?php echo $post->post_title; ?></td>
					      <td post_id="<?php echo $post->ID; ?>" style="width: 50%">
					      	<div class="mailchimp_rc_inputs w-100">


					      		 <select size="5" name="lstStates" multiple="multiple" id="lstStates" disabled="">
							        <?php
						      			foreach ($lists as $key => $value) {

						      				$is_select = get_dcfme_recorp_mc_by_id($post->ID, 'lists', $value['id']);

					        			?>

					        			<option value="<?php echo $value['name']; ?>" data-list_id="<?php echo $value['id']; ?>" <?php echo ($is_select == "true") ? "selected" : "" ?>><?php echo $value['name']; ?></option>
					        			<?php
					        		}
						      		 ?>
							    </select>   
						      	
					      	</div>
					      </td>
					      <td post_id="<?php echo $post->ID; ?>">

					      	<div class="switch">
					          <label>
					            Off 
					            <input type="checkbox" <?php echo (get_dcfme_recorp_mc_by_id($post->ID, 'status') == "enable")? 'checked': ''; ?> disabled="">
					            <span class="lever"></span> On
					          </label>
					        </div>

					    </td>
					    </tr>

					<?php
					$x++;
					$h *= 0;
				}
				
			} //end foreach
		}
		
	?>


  </tbody>
</table>
<?php
			if ($h === 1) {
				echo '<h3 style="text-align: center; margin-bottom: 40px;">Form not found.</h3>';
			}
		?>
<div class="user_permission_settings" style="margin-bottom: 20px;">
	<span class="t float-left" style="margin-right: 20px;margin-top: -1px;font-weight: bold;"><?php _e('Subscribe to our mailing list user permission', 'dcfme'); ?> </span> <div class="switch">
					          <label>
					            <?php _e('Disable', 'dcfme'); ?> 
					            <input type="checkbox" checked="" disabled="">
					            <span class="lever"></span> <?php _e('Enable', 'dcfme'); ?>
					          </label>
					        </div>
					    </div>

<div class="user_permission_text" style="margin-bottom: 20px;">
	<span class="t float-left" style="margin-right: 20px;margin-top: -1px;font-weight: bold;"><?php _e('Change Subscribe To Our Mailing List Text', 'dcfme'); ?> 
	</span> 

	<div class="mailing_text"><input type="text" name="mailing_text" value="<?php echo get_option('dcfme_subscribe_text', ''); ?>" disabled="" placeholder="Subscribe to our mailing list."></div>
</div>

<button type="button" class="btn btn-primary btn-sm mc-data-save" disabled=""><?php _e('Save Changes', 'dcfme'); ?></button>

<div class="modal" id="divi_mc_licensing"  data-easein="flipXIn" tabindex="3" role="dialog" aria-labelledby="backupAndRestoreTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle"><?php esc_html_e('Divi Contact Form Mailchimp Extension Licensing', 'dcfme'); ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php esc_html_e('Close', 'dcfme'); ?></button>
        <button type="button" class="btn btn-primary dcme_license_activate"><?php esc_html_e('Save Changes', 'dcfme'); ?></button>
      </div>
    </div>
  </div>
</div>

    </div>
    </div>

	<?php endif ?>
<?php endif ?>


    <div id="licensing" class="container tab-pane fade"><br>

    	
<div class="buy_button">
<select id="licenses">
   <option value="1" selected="selected">Single Site License</option>
   <option value="3">3-Site License</option>
   <option value="unlimited">Unlimited Sites License</option>
</select>
<button id="purchase">Upgrade</button>
<script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
<script src="https://checkout.freemius.com/checkout.min.js"></script>
<script>
    var handler = FS.Checkout.configure({
        plugin_id:  '6067',
        plan_id:    '9948',
        public_key: 'pk_4d0a67ca29c5132d8047ebea037bb',
        image:      'https://your-plugin-site.com/logo-100x100.png'
    });
    
    $('#purchase').on('click', function (e) {
        handler.open({
            name     : 'Mailchimp for Divi Contact Form',
            licenses : $('#licenses').val(),
            // You can consume the response for after purchase logic.
            purchaseCompleted  : function (response) {
                // The logic here will be executed immediately after the purchase confirmation.                                // alert(response.user.email);
            },
            success  : function (response) {
                // The logic here will be executed after the customer closes the checkout, after a successful purchase.                                // alert(response.user.email);
            }
        });
        e.preventDefault();
    });
</script>


    </div>
  </div>
</div>
</div>

<?php

if (isset($_GET['license'])) {
	?>
		<script>
			jQuery(document).ready(function(){
				jQuery('.divi_mc_licensing').click();
			});
		</script>
	<?php
}